# SPDX-License-Identifier: Apache-2.0
# Copyright (c) 2023 Intel Corporation

# Application Name
HELM_APP_INTEL_ETHERNET_OPERATOR = "intel-ethernet-operator"

# Namespace to deploy the application
HELM_NS_INTEL_ETHERNET_OPERATOR = "intel-ethernet-operator"

# Helm: Supported charts:
# These values match the names in the chart package's Chart.yaml
HELM_CHART_INTEL_ETHERNET_OPERATOR = "intel-ethernet-operator"
HELM_CHART_SRIOV_NETWORK_OPERATOR = "sriov-network-operator"

# FluxCD
FLUXCD_HELM_RELEASE_INTEL_ETHERNET_OPERATOR = "intel-ethernet-operator"
FLUXCD_HELM_RELEASE_SRIOV_NETWORK_OPERATOR = "sriov-network-operator"

HELM_COMPONENT_LABEL_INTEL_ETHERNET_OPERATOR = "app.starlingx.io/component"

CUSTOM_RESOURCES_LIST = [
    "nodeflowconfigs.flowconfig.intel.com",
    "clusterflowconfigs.flowconfig.intel.com",
    "flowconfignodeagentdeployments.flowconfig.intel.com",
    "sriovibnetworks.sriovnetwork.openshift.io",
    "sriovnetworks.sriovnetwork.openshift.io",
    "sriovnetworkpoolconfigs.sriovnetwork.openshift.io",
    "sriovnetworknodepolicies.sriovnetwork.openshift.io",
    "ethernetclusterconfigs.ethernet.intel.com",
    "ethernetnodeconfigs.ethernet.intel.com",
]

ETHERNET_OPERATOR_PRESENT_LABEL = "ethernet.intel.com/intel-ethernet-present"

ALT_FW_SEARCH_PATH_DISABLE_JOB = {
    "apiVersion": "batch/v1",
    "kind": "Job",
    "metadata": {
        "name": "",
        "namespace": HELM_NS_INTEL_ETHERNET_OPERATOR,
    },
    "spec": {
        "template": {
            "spec": {
                "containers": [
                    {
                        "name": "alt-fw-search-path-disabler",
                        "image": "docker.io/redhat/ubi9-micro:9.2-5",
                        "command": [
                            "/bin/bash",
                            "-c",
                            "head -c 1 /dev/zero | tee /host/sys/module/firmware_class/parameters/path >/dev/null",
                        ],
                        "securityContext": {
                            "privileged": True,
                            "runAsUser": 0,
                            "readOnlyRootFilesystem": True,
                        },
                        "volumeMounts": [
                            {
                                "name": "firmware-class",
                                "mountPath": "/host/sys/module/firmware_class/parameters",
                            }
                        ],
                    }
                ],
                "volumes": [
                    {
                        "name": "firmware-class",
                        "hostPath": {
                            "path": "/sys/module/firmware_class/parameters"
                        },
                    }
                ],
                "restartPolicy": "Never",
                "nodeName": "",
            }
        }
    },
}
